package com.gemstone.android.gbjtest;

import android.os.Bundle;
import android.app.Activity;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

/** 
 * 
 * Activity to handle GS Smalltalk execution and basic transaction/session control
 *
 */
public class GbjTestCommandActivity extends Activity {
	
	   @Override
	    public void onCreate(Bundle savedInstanceState) {
	        
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.command);
	           
	        Button abortButton = (Button)findViewById(R.id.buttonAbort);
	        abortButton.setOnClickListener(new OnClickListener( ) {
	        		public void onClick(View v) {
	        	        TextView resultView = (TextView)findViewById(R.id.commandResultText);
	        			resultView.setText(GSInterface.abort());
	        		}
	        });
	        
	        Button commitButton = (Button)findViewById(R.id.buttonCommit);
	        commitButton.setOnClickListener(new OnClickListener( ) {
	        		public void onClick(View v) {
	        	        TextView resultView = (TextView)findViewById(R.id.commandResultText);
	        			resultView.setText(GSInterface.commit());
	        		}
	        });
	        
	        Button logoutButton = (Button)findViewById(R.id.buttonLogout);
	        logoutButton.setOnClickListener(new OnClickListener( ) {
	        		public void onClick(View v) {
	        	        TextView resultView = (TextView)findViewById(R.id.commandResultText);
	        			resultView.setText(GSInterface.logout());
						setResult(0);
						finish( );
	        		}
	        });
	        
	        Button executeButton = (Button)findViewById(R.id.buttonExecute);
	        executeButton.setOnClickListener(new OnClickListener( ) {
	        		public void onClick(View v) {
	        	        TextView resultView = (TextView)findViewById(R.id.commandResultText);
	        	        String command = ((TextView)findViewById(R.id.commandText)).getText().toString();
	        			resultView.setText(GSInterface.execute(command));
	        		}
	        });
	        
	   }

}
