!=========================================================================
!  Copyright (C) GemTalk Systems 1986-2016.  All Rights Reserved.
! 
!  script to install all GBJ 3.0 source files
!
!  $Id: install32.gs $
!
!=========================================================================

!
! GBJ Smalltalk code for 32-bit server only
!

output push Gbj313ServerFilein.log only

! Tempoary hacks for 64-bit compatibility (sort of)

doit
UserGlobals at: #GsNMethod put: GsMethod
%

category:  'Temporary GBJ loading'
method Class
subclass: className
instVarNames: ivarNames
classVars: cvarNames
classInstVars: civarNames
poolDictionaries: pDictionaries
inDictionary: sDictionary

^ self subclass:        className
    instVarNames:       ivarNames
    classVars:          cvarNames
    classInstVars:      civarNames
    poolDictionaries:   pDictionaries
    inDictionary:       sDictionary
    constraints:        #( )
    instancesInvariant: false
    isModifiable:       false
%

! Real Filein

input $GBJ/server/GbjGciForwarder.gs
commit
input $GBJ/server/GbjGciInterface.gs
commit
input $GBJ/server/GbjFileinReader.gs
commit

! For this file need to use older 32-bit version due to 
! extensive differences between 32 and 64-bit.

input $GBJ/server/GbjToolsInterface32.gs
commit

! For compatibility with GS/64 _perform:env:withArguments:
category: 'GBJ Compatibility'
method: Object
_perform: aSelectorSymbol env: ignore withArguments: anArray

"For GBJ compatibility"

^ self _perform: aSelectorSymbol withArguments: anArray

%
commit

! Clean-up temporary hacks for 64-bit compatibility

doit
UserGlobals removeKey: #GsNMethod.
Class removeSelector:
  #subclass:instVarNames:classVars:classInstVars:poolDictionaries:inDictionary:
%
commit

output pop
errorCount
